Subject: bug#52682: installer freezes when ci.guix.gnu.org cannot be reached

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 20 Dec 2021 18:13:00 +0100

Today I got another chance to try the installer.  I first used the
latest installer image from today (which failed to install Guix because
of a test failure) and then fell back to the 1.3.0 installer image.

Both installers had the same behavior when it came to accessing
ci.guix.gnu.org for substitutes.  I ran the installer on a new build
node, which cannot access ci.guix.gnu.org through the public IP
address.  I forgot to add a line to /etc/hosts to resolve
ci.guix.gnu.org to the local IP.  When I started the installation it
would print two lines and then seemingly freeze.

There was no timeout either.  When the installer is killed and restarted
it fails with other errors that I didn’t record.  I had to reboot and
remember to make the change to /etc/hosts first before starting the
installation.

-- 
Ricardo